from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XInteractionSupplyAuthentication2(XInteractionSupplyAuthentication, Protocol):
    def canUseSystemCredentials(self, Default: bool) -> bool: ...
    def setUseSystemCredentials(self, UseSystemCredentials: bool) -> None: ...
